<template>
  <div id="Tab">
    <PublicDataStandard :dataStandard="dataStandard"></PublicDataStandard>
    <div class="form-echrts">
      <div class="from-search">
        <div class="pickerMon">
          <div class="pickerData">
            <span> 开始时间:</span>
            <span class="pickerTable">
              <el-date-picker type="datetime" v-model="formInline.timeStart"></el-date-picker>
            </span>
          </div>
          <div class="pickerData">
            <span>结束时间:</span>
            <span class="pickerTable">
              <el-date-picker type="datetime" v-model="formInline.timeEnd"></el-date-picker>
            </span>
          </div>
        </div>
        <div>
          <span>采样点数:</span>
          <el-select v-model="formInline.region" placeholder="50">
            <el-option label="0" value="0"></el-option>
            <el-option label="25" value="25"></el-option>
            <el-option label="50" value="50"></el-option>
            <el-option label="75" value="75"></el-option>
            <el-option label="100" value="100"></el-option>
          </el-select>
        </div>
        <div class="detailbtn" @click="onSubmit">查询</div>
      </div>
      <div style="width:5rem;height:2rem;" ref="echarts"></div>
    </div>
  </div>
</template>

<script>

import PublicDataStandard from '@/components/BaseNav/PublicDataStandard'
import mapApi from '@/api/mapApi'
import 'dayjs/locale/es'
import dayjs from 'dayjs'

export default {
  name: 'ECharts',
  components: {
    PublicDataStandard
  },
  data () {
    return {
      // tab栏传递接收数据
      dataStandard: [
        {
          current: {
            name: '氮氧化物1',
            val: 29.93
          },
          standard: {
            name: '标准',
            val: 100
          }
        },
        {
          current: {
            name: '二氧化硫',
            val: 17.34
          },
          standard: {
            name: '标准',
            val: 50
          }
        },
        {
          current: {
            name: '烟尘',
            val: 6.93
          },
          standard: {
            name: '标准',
            val: 30
          }
        },
        {
          current: {
            name: '废气流量',
            val: 120
          },
          standard: {
            name: '',
            val: null
          }
        }],

      // echarts的数据设置
      myChart: null,

      // 开始 /结束 时间 和采样点值的绑定值数据
      formInline: {
        region: '',
        timeStart: '',
        timeEnd: ''
      },

      // echarts的options数据传入
      echartsOptions: {
        legend: [],
        ydatas: [],
        yname: ' 浓度(mg/m³)'
      },

      JSONTimeData: {
        id: 21,
        unionTagCodeList: []
      }
    }
  },
  mounted () {
    this.$nextTick(() => {
      this.initEchartsData()
    })
  },
  methods: {
    // 初始化数据获取echarts的options数据
    async initEchartsData () {
      // 用于接口数据请求的参数 开始/结束时间 || 可选择查询的开始/结束时间
      this.formInline.timeEnd = dayjs().format('YYYY-MM-DD HH:mm:ss')
      this.formInline.timeStart = dayjs().subtract(3, 'minute').format('YYYY-MM-DD HH:mm:ss')
      const data = {
        $tagCodeList: 'TJIP45.y2h508CEMS01NOX,CTJIP45.y2h508CEMS01SO2,CTJIP45.y2h508CEMS01F,CTJIP45.y2h508CEMS01PM',
        $startTime: this.formInline.timeEnd,
        $endTime: this.formInline.timeStart,
        $step: 15
      }
      const result = (await mapApi.DataItems(data)).data
      console.log(result)

      // this.hash(result)
      // this.hashtime(result)
      // this.dealwithData(result)
      this.DrawEXHRealTimeDateChart()
      this.myChart.hideLoading()
    },
    // 数据处理
    dealwithData (result) {
      // 处理数据开始
      const d = result
      // const nameList = [] // 存放图例

      let data // 数据类型// var data={name:'',value:[now1.getFullYear(), now1.getMonth() + 1, now1.getDate().join('/'),value]}
      // const datalist // 存放data的数组
      // const bzh = []
      for (let i = 0; i < d.length; i++) {
        const name = d[i].UnionTagCode
        const newdate = d[i].ReadTime
        data = {
          name: name,
          value: [newdate, d[i].TagValue]
        }
        console.log(data)
        // for (var k = 0; k < RealTimeDataList.length; k++) {
        //   if (RealTimeDataList[k].name == name) {
        //     RealTimeDataList[k].data.push(data)
        //   }
        // }
      }
    },
    // hash (result) {
    //   // const hash = []
    //   // for (let i = 0; i < result.length; i++) {
    //   //   if (hash.indexOf(result[i].UnionTagCode) === -1) {
    //   //     hash.push(result[i].UnionTagCode)
    //   //   }
    //   // }
    //   // console.log(hash)
    //   // this.JSONTimeData.unionTagCodeList = hash
    //   // var lengList = []
    //   var lengList = result
    //   var objTemp
    //
    //   for (var l = 0; l < lengList.length; l++) {
    //     var obj
    //     var iconurl
    //     if (lengList[l] == 'COD') {
    //       iconurl = 'image://../assets/imgs/legend/SO2.png'
    //     } else if (nameList[l] == '氨氮') {
    //       iconurl = 'image://../assets/imgs/legend/NOX.png'
    //     } else if (nameList[l] == '总磷') {
    //       iconurl = 'image://../assets/imgs/legend/YanChen.png'
    //     } else if (nameList[l] == '总氮') {
    //       iconurl = 'image://../assets/imgs/legend/zongdan.png'
    //     } else {
    //       iconurl = 'image://../assets/imgs/legend/VOCs.png'
    //     }
    //
    //     if (nameList[l] == '废水' || nameList[l] == '废水流量') { // 将废水流量排到数组最后
    //       objTemp = {
    //         name: nameList[l],
    //         icon: iconurl,
    //         textStyle: {
    //           color: '#ccc'
    //         },
    //         itemWidth: 20,
    //         itemHeight: 5
    //       }
    //     } else {
    //       obj = {
    //         name: nameList[l],
    //         icon: iconurl,
    //         textStyle: {
    //           color: '#ccc'
    //         },
    //         itemWidth: 20,
    //         itemHeight: 5
    //       }
    //       lengList.push(obj)
    //     }
    //   }
    //   lengList.push(objTemp)
    // },
    hashtime (result) {
      const hashtime = []
      for (let i = 0; i < result.length; i++) {
        if (hashtime.indexOf(result[i].ReadTime) === -1) {
          hashtime.push(result[i].ReadTime)
        }
      }
      console.log(hashtime)
    },
    DrawEXHRealTimeDateChart () {
      // 赋值的数据
      // var legend = this.echartsOptions.legend
      // var ydatas = this.echartsOptions.ydatas
      const yname = this.echartsOptions.yname
      const ydatas = [
        {
          name: '氮氧化物',
          zdcbcolor: '#00B0F0',
          zxcolor: '#00B0F0',
          bzz: 50,
          data: [{
            name: '氮氧化物',
            value: ['2021/04/13 09:18:19', 39.51431]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:18:34', 38.76508]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:18:49', 37.57471]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:19:04', 36.3796]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:19:19', 36.10718]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:19:34', 35.81126]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:19:49', 35.9184]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:20:04', 36.08839]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:20:19', 36.3718]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:20:34', 36.8966]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:20:49', 37.3998]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:21:04', 37.11937]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:21:19', 36.12424]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:21:34', 34.99567]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:21:49', 34.48063]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:22:04', 34.62222]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:22:19', 34.84583]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:22:34', 35.80923]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:22:49', 35.93465]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:23:04', 35.78891]
          },
          {
            name: '氮氧化物',
            value: ['2021/04/13 09:23:19', 35.54268]
          }]
        },
        {
          name: '二氧化硫',
          data: [{
            name: '二氧化硫',
            value: ['2021/04/13 09:18:19', 5.112573]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:18:34', 4.578955]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:18:49', 4.869465]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:19:04', 5.270735]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:19:19', 5.355475]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:19:34', 5.242907]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:19:49', 5.230558]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:20:04', 5.262951]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:20:19', 5.268744]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:20:34', 5.159671]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:20:49', 4.955352]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:21:04', 5.110546]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:21:19', 5.235723]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:21:34', 5.443502]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:21:49', 5.708939]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:22:04', 5.882327]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:22:19', 6.017494]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:22:34', 5.410021]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:22:49', 5.379694]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:23:04', 5.551433]
          },
          {
            name: '二氧化硫',
            value: ['2021/04/13 09:23:19', 5.819743]
          }],
          zdcbcolor: 'red',
          zxcolor: '#fff21c',
          bzz: 50
        },
        {
          name: '废气流量',
          data: [{
            name: '废气流量',
            value: ['2021/04/13 09:18:19', 5.012617]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:18:34', 4.992213]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:18:49', 5.026886]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:19:04', 5.052861]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:19:19', 5.038826]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:19:34', 5.062339]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:19:49', 5.071915]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:20:04', 5.053693]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:20:19', 5.03562]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:20:34', 5.043983]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:20:49', 5.059231]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:21:04', 5.042176]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:21:19', 5.028253]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:21:34', 5.024891]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:21:49', 5.01542]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:22:04', 5.025787]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:22:19', 5.038269]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:22:34', 5.01441]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:22:49', 5.010105]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:23:04', 5.012341]
          },
          {
            name: '废气流量',
            value: ['2021/04/13 09:23:19', 4.996146]
          }],
          zdcbcolor: 'red',
          zxcolor: '#9ACD32',
          bzz: null
        },
        {
          name: '烟尘',
          data: [{
            name: '烟尘',
            value: [['2021/04/13 09:18:19', 0.8297127]]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:18:34', 0.8347292]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:18:49', 0.9218481]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:19:04', 0.913429]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:19:19', 0.9026684]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:19:34', 0.8060119]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:19:49', 0.781314]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:20:04', 0.8958074]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:20:19', 0.9093901]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:20:34', 0.8743498]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:20:49', 0.9024854]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:21:04', 0.9456897]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:21:19', 0.9747347]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:21:34', 0.9200308]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:21:49', 0.8987293]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:22:04', 0.8613345]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:22:19', 0.8747463]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:22:34', 0.8883187]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:22:49', 0.881333]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:23:04', 0.9142911]
          },
          {
            name: '烟尘',
            value: ['2021/04/13 09:23:19', 0.9569058]
          }],
          zdcbcolor: 'red',
          zxcolor: '#f48183',
          bzz: 10
        }]
      // const legend = [
      //   // data: 'legend'
      //   {
      //     name: '氮氧化物',
      //     icon: 'image://../assets/imgs/legend/NOX.png',
      //     textStyle: { color: '#ccc' },
      //     itemWidth: 20,
      //     itemHeight: 15
      //   },
      //   {
      //     icon: 'image://../assets/imgs/legend/SO2.png',
      //     itemHeight: 5,
      //     itemWidth: 20,
      //     name: '二氧化硫',
      //     textStyle: {
      //       color: '#CCC'
      //     }
      //   },
      //   {
      //     icon: 'image://../assets/imgs/legend/YanChen.png',
      //     itemHeight: 5,
      //     itemWidth: 20,
      //     name: '烟尘',
      //     textStyle: { color: '#ccc' }
      //   },
      //   {
      //     icon: 'image://../assets/imgs/legend/VOCs.png',
      //     itemHeight: 5,
      //     itemWidth: 20,
      //     name: '废气流量',
      //     textStyle: { color: '#ccc' }
      //   }
      // ]
      // const iconlist = ['image://../assets/imgs/legend/NOX.png', 'image://../assets/imgs/legend/VOCs.png']
      //     {
      //   icon: 'image://../assets/imgs/legend/NOX.png'
      // }, {
      //   icon: 'image://../assets/imgs/legend/SO2.png'
      // }, {
      //   icon: 'image://../assets/imgs/legend/YanChen.png'
      // },
      // {
      //   icon: 'image://../assets/imgs/legend/VOCs.png'
      // }]

      // 初始化echarts
      this.myChart = this.$echarts.init(this.$refs.echarts)

      // echarts的series数据
      const serLists = []
      // for (var j = 0; j < ydatas.length; j++) {
      //   var len = ydatas[j].data.length
      //   for (var k = 0; k < len; k++) {
      //     var it = ydatas[j].data[k]
      //     var it2 = parseFloat(it).toFixed(2)
      //     ydatas[j].data[k] = it2
      //   }
      // }
      for (let i = 0; i < ydatas.length; i++) {
        var bz = ydatas[i].bzz
        var obj
        if (bz) {
          obj = {
            name: ydatas[i].name,
            smooth: true,
            itemStyle: {
              normal: {
                color: function (c) { // 根据value 显示不同的折点颜色
                  // var biaozhuiz
                  // for (var i = 0; i < exhbzzList.length; i++) {
                  //   if (exhbzzList[i].name == c.seriesName) {
                  //     biaozhuiz = exhbzzList[i].bzhui
                  //   }
                  // }
                  // if (c.value[1] > biaozhuiz) {
                  //   return zdcbcolor
                  // } else if (c.value[1] > biaozhuiz * 0.9) {
                  //   return '#FFA500'
                  // } else {
                  //   return '#33c95f'
                  // }
                },
                lineStyle: { // 折线的颜色
                  color: ydatas[i].zxcolor,
                  width: 2
                },
                // borderColor:'black',  //折点边框的颜色
                label: { // 显示值
                  show: false
                }
              }
            },
            type: 'line',
            data: ydatas[i].data,
            markLine: { // 平均值 ， 和 指标上限
              symbol: 'none',
              data: [{
                label: {
                  normal: {
                    position: 'end',
                    formatter: ''// ydatas[i].name+'标准值' //+'{c}'
                  }
                },
                name: '标准值',
                yAxis: bz,
                lineStyle: {
                  color: ydatas[i].zxcolor,
                  type: 'dashed',
                  width: 2
                }
              }]
            }
          }
        } else {
          obj = {
            name: ydatas[i].name,
            smooth: true,
            itemStyle: {
              normal: {
                color: function (c) { // 根据value 显示不同的折点颜色
                  return '#33c95f'
                },
                lineStyle: { // 折线的颜色
                  color: ydatas[i].zxcolor,
                  width: 2
                },
                // borderColor:'black',  //折点边框的颜色
                label: { // 显示值
                  show: false
                }
              }
            },
            type: 'line',
            data: ydatas[i].data
          }
        }
        if (ydatas[i].name === '废气流量' || ydatas[i].name === '废气') {
          obj.yAxisIndex = 1
        }
        serLists.push(obj)
      }
      const option = {
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'cross',
            label: {
              color: '#1a4245'
            }
          },
          formatter: function (params) {
            var s = params[0].name + '<br />'
            for (var i = 0; i < params.length; i++) {
              // var name = params[i].name
              // 图表title名称
              var seriesName = params[i].seriesName
              // 值
              var value = params[i].value[1]
              // var valueFliter = this.formatter(value)
              var maker = params[i].marker
              if (seriesName === '二氧化硫') {
                maker = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:10px;height:10px;background-color:#fff21c;"></span>'
              } else if (seriesName === '氮氧化物') {
                maker = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:10px;height:10px;background-color:#00B0F0;"></span>'
              } else if (seriesName === '烟尘') {
                maker = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:10px;height:10px;background-color:#f48183;"></span>'
              } else if (seriesName === '温度') {
                maker = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:10px;height:10px;background-color:#F206FF;"></span>'
              } else {
                maker = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:10px;height:10px;background-color:#4ec99c;"></span>'
              }
              s += maker + seriesName + ':' + value + '<br />'
            }
            return s
          }
        },
        toolbox: {
          show: false,
          feature: {
            saveAsImage: {}
          }
        },
        grid: {
          top: '20%'
        },
        // legend: {
        //   data: legend
        // },
        legend: [
          {
            // icon: iconlist.map(item => {
            //   return item
            // }),
            icon: 'image://../assets/imgs/legend/VOCs.png',
            itemHeight: 20,
            itemWidth: 30,
            textStyle: { color: '#ccc' },
            data: ydatas.map(item => {
              return item.name
            })
          }
        ],
        dataZoom: [{
          type: 'inside',
          start: 0,
          end: 100
        }, {
          start: 0,
          end: 100,
          show: false,
          handleIcon: 'M10.7,11.9v-1.3H9.3v1.3c-4.9,0.3-8.8,4.4-8.8,9.4c0,5,3.9,9.1,8.8,9.4v1.3h1.3v-1.3c4.9-0.3,8.8-4.4,8.8-9.4C19.5,16.3,15.6,12.2,10.7,11.9z M13.3,24.4H6.7V23h6.6V24.4z M13.3,19.6H6.7v-1.4h6.6V19.6z',
          handleSize: '80%',
          handleStyle: {
            color: '#fff',
            shadowBlur: 3,
            shadowColor: 'rgba(0, 0, 0, 0.6)',
            shadowOffsetX: 2,
            shadowOffsetY: 2
          }
        }],
        xAxis: {
          type: 'time',
          boundaryGap: false,
          axisLabel: {
            margin: 6,
            interval: 0,
            textStyle: {
              color: '#fff'
            }
          },
          splitLine: {
            show: true,
            lineStyle: {
              type: 'dashed'
            }
          },
          axisTick: {
            show: false
          },
          axisLine: {
            lineStyle: {
              color: '#FFFFFF',
              width: 1
            }
          }
        },
        yAxis: [{
          type: 'value',
          name: yname,
          max: function (value) {
            var ma = value.max > 100 ? value.max : 100
            return parseInt(ma)
          },
          axisLabel: {
            formatter: '{value}',
            textStyle: {
              color: '#fff'
            }
          },
          axisPointer: {
            snap: true
          },
          splitLine: {
            show: false
          },
          axisLine: {
            lineStyle: {
              color: '#FFFFFF',
              width: 1
            }
          }
        }, {
          type: 'value',
          name: '废气流量(m3/h)',
          axisLabel: {
            formatter: '{value}',
            textStyle: {
              color: '#fff'
            }
          },
          axisPointer: {
            snap: true
          },
          splitLine: {
            show: false
          },
          axisLine: {
            lineStyle: {
              color: '#FFFFFF',
              width: 1
            }
          }
        }],
        series: serLists
      }
      this.myChart.setOption(option)
      window.addEventListener('resize', this.myChart.resize)
      // 显示加载动画
      this.myChart.showLoading()
      // this.IntervalEXHRealTimeDate()

      // this.myChart.on('legendselectchanged', function (params) {
      //   var StdVal = null
      //   var op = { yAxis: {} }
      //   var max_val_list = [] // 所有显示折线的标准值
      //   if (exhbzzList && exhbzzList.length > 0) {
      //     $.each(exhbzzList, function (index, item) {
      //       params.selected[item.name] ? max_val_list.push(item.bzhui) : ''
      //       if (item.name === params.name) {
      //         item.name === 'VOCs' ? StdVal = 20 : StdVal = item.bzhui
      //       }
      //     })
      //   }
      //   max_val_list = max_val_list.sort(function (a, b) { return a - b }) // 排序
      //   op.yAxis.max = function (value) {
      //     var ma = value.max < StdVal ? StdVal : Math.ceil(value.max)
      //     max_val_list ? ma = max_val_list[max_val_list.length - 1] : ''// 选择最大值
      //     return ma
      //   }
      //   myChart.setOption(op)
      // })
      // myChart.on('click', function (params) {
      //   var nowDate = new Date().Format()
      // })
    },
    // 点击查询按钮功能
    onSubmit () {
      this.DrawEXHRealTimeDateChart()
      this.myChart.hideLoading()
    }
    // getRtdbFormat (res) {
    //   var data = res.collection.items
    //   var dataArray = []
    //   for (var i = 0; i < data.length; i++) {
    //     var dataFormat = {
    //       UnionTagCode: data[i].data[0].value,
    //       TagValue: parseFloat(data[i].data[1].value),
    //       ReadTime: data[i].data[3].value,
    //       ErrorMessage: data[i].data[5].value
    //     }
    //     dataArray.push(dataFormat)
    //   }
    //   return dataArray
    // },
    // 1.坐标轴实现,画实时数据
    // getRtdb15s (unionTagCodeList, startTime, endTime, step, res) {
    //   if (this.res.length > 0) {
    //     // 处理数据开始
    //     var d = res
    //     var nameList = [] // 存放图例
    //
    //     var data // 数据类型// var data={name:'',value:[now1.getFullYear(), now1.getMonth() + 1, now1.getDate().join('/'),value]}
    //     var datalist // 存放data的数组
    //     // var bzh = []
    //     for (var i = 0; i < d.length; i++) {
    //       if (d[i].ErrorMessage != null) {
    //         continue
    //       }
    //       // var name = CFG.DATA_REALTIME_TAGCODETABLE[d[i].UnionTagCode].TagName
    //
    //       if (nameList.length === 0) {
    //         nameList.push(name)
    //
    //         var newdate = new Date(this.res.ReadTime)
    //         data = {
    //           name: name,
    //           value: [newdate, this.res.TagValue]
    //         }
    //
    //         datalist = {
    //           name: name,
    //           data: [data]
    //         }
    //
    //         this.EXHRealTimeDataList.push(datalist)
    //       } else if (nameList.indexOf(name) < 0) {
    //         nameList.push(name)
    //
    //         // var newdate = new Date(d[i].ReadTime)
    //
    //         data = {
    //           name: name,
    //           value: [newdate, d[i].TagValue]
    //         }
    //         datalist = {
    //           name: name,
    //           data: [data]
    //         }
    //         this.EXHRealTimeDataList.push(datalist)
    //       } else if (i === d.length - 1) {
    //         if (nameList.indexOf(name) < 0) {
    //           nameList.push(name)
    //
    //           // var newdate = new Date(d[i].ReadTime)
    //
    //           data = {
    //             name: name,
    //             value: [newdate, d[i].TagValue]
    //           }
    //           datalist = {
    //             name: name,
    //             data: [data]
    //           }
    //           // EXHRealTimeDataList.push(datalist)
    //         } else {
    //           // var newdate = new Date(d[i].ReadTime)
    //           data = {
    //             name: name,
    //             value: [newdate, d[i].TagValue]
    //           }
    //           for (var k = 0; k < this.EXHRealTimeDataList.length; k++) {
    //             if (this.EXHRealTimeDataList[k].name === name) {
    //               this.EXHRealTimeDataList[k].data.push(data)
    //             }
    //           }
    //         }
    //       } else {
    //         const newdate = new Date(d[i].ReadTime)
    //         data = {
    //           name: name,
    //           value: [newdate, d[i].TagValue]
    //         }
    //         for (let k = 0; k < this.EXHRealTimeDataList.length; k++) {
    //           if (this.EXHRealTimeDataList[k].name === name) {
    //             this.EXHRealTimeDataList[k].data.push(data)
    //           }
    //         }
    //       }
    //     }
    //
    //     // var divid = 'mychart_ss'
    //     // var title = name
    //     var lengList = []
    //     var objTemp
    //
    //     for (var l = 0; l < nameList.length; l++) {
    //       var obj
    //       var iconurl
    //       if (nameList[l] === '二氧化硫') {
    //         iconurl = 'image://../assets/imgs/legend/SO2.png'
    //       } else if (nameList[l] === '氮氧化物') {
    //         iconurl = 'image://../assets/imgs/legend/NOX.png'
    //       } else if (nameList[l] === '烟尘') {
    //         iconurl = 'image://../assets/imgs/legend/YanChen.png'
    //       } else if (nameList[l] === '非甲烷总烃') {
    //         iconurl = 'image://../assets/imgs/legend/grn.png'
    //       } else if (nameList[l] === '温度') {
    //         iconurl = 'image://../assets/imgs/legend/WenDu.png'
    //       } else {
    //         iconurl = 'image://../assets/imgs/legend/VOCs.png'
    //       }
    //
    //       if (nameList[l] === '废气' || nameList[l] === '废气流量') { // 将废气流量排到数组最后
    //         objTemp = {
    //           name: nameList[l],
    //           icon: iconurl,
    //           textStyle: {
    //             color: '#ccc'
    //           },
    //           itemWidth: 20,
    //           itemHeight: 5
    //         }
    //       } else {
    //         obj = {
    //           name: nameList[l],
    //           icon: iconurl,
    //           textStyle: {
    //             color: '#ccc'
    //           },
    //           itemWidth: 20,
    //           itemHeight: 5
    //         }
    //         lengList.push(obj)
    //       }
    //     }
    //     lengList.push(objTemp)
    //
    //     this.DrawEXHRealTimeDateChart(this.echartsOptions.id, this.echartsOptions.title, this.echartsOptions.legend, this.echartsOptions.ydatas, this.echartsOptions.yname)
    //   }
    // },
    // 钩子调用实时
    // IntervalEXHRealTimeDate () {
    //   // 定时器函数
    //   this.DrawEXHRealTimeDateChart()
    //   setInterval(function () {
    //     // $('.RealTime').empty()
    //     this.startTime = dayjs().subtract(5, 'minute').format('YYYY-MM-DD HH:mm:ss')
    //     this.endTime = dayjs().format('YYYY-MM-DD HH:mm:ss')
    //     this.step = '15'
    //     // this.getRtdb15s(this.unionTagCodeList, this.startTime, this.endTime, this.step, this.res)
    //     // PreQueryTime=endTime;
    //   }, 1500)
    // }

  }
}
</script>

<style scoped lang="less">
.grid-content {
  font-size: 8px;
  background-color: #2e4967;
  text-align: center;
  border-radius: 2px;
  margin-right: 10px;
  padding: 0 10px;

  > i {
    color: #ffffff;
  }
}

.animation {
  //width: 600px;
  //height: 0.06rem;
  .infomation {
    padding: 5px 10px;
  }
}

.form-echrts {
  width: 100%;
  border-top: 1px solid #396d83;
  //margin: 10px 10px 10px 10px;
  .from-search {
    display: flex;
    padding: 5px;

    > div {
      margin-left: 10px
    }

    .pickerMon {
      display: flex;

      > div:first-child {
        margin-right: 10px;
      }

      .pickerData {
        flex: 1;
        display: flex;

        > span {
          line-height: 22px
        }

        .pickerTable {
          margin-left: 3px;
        }
      }
    }

    /deep/ .el-date-editor--datetime {
      width: 100%;
    }

    /deep/ .el-input__inner {
      position: relative;
      width: 140px;
      background-color: #2e4967;
      color: #fff;
      font-size: 12px;
      height: 24px;
      padding: 0;
      border-color: #00fff6;
      text-align: center;
      z-index: 9999;
      //padding-left:20px ;
      //padding: 0!important;
    }

    /deep/ .el-input__icon {
      display: block;
      width: 140px;
      height: 22px;
      line-height: 22px;
      cursor: pointer;
      font-size: 0;
    }

    .echatsInput {
      color: #00ffff;
      background-color: #2e4967;
      border: none;
      border-radius: 6px;
      width: 80px;
      height: 22px;
    }

    input::-webkit-calendar-picker-indicator {
      opacity: 100;
    }

    .detailbtn {
      background-color: #2e4967;
      text-align: center;
      padding: 0 7px;
      line-height: 20px;
      border-radius: 4px;
      margin-right: 6px;
    }

  }

  .el-dialog-div {
    //height: 50vh!important;
    overflow: auto;
    //overflow: hidden;
  }

  #echarts {
    margin: 0;
    padding: 0;
    //height: 3rem;
    //border: 1px solid #396d83;
    //margin: 10px 10px 10px 10px;
  }
}
</style>
